<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFirstStatePosition Method (IEdmWorkflow6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmWorkflow6 Interface : GetFirstStatePosition Method (IEdmWorkflow6)

Visual Basic
C#
C++/CLI
Starts an enumeration of the states in this workflow.

# Syntax

Visual Basic |
--- | ---

    Function GetFirstStatePosition() As IEdmPos5

C# |
--- | ---

    IEdmPos5 GetFirstStatePosition()

C++/CLI |
--- | ---

    IEdmPos5^ GetFirstStatePosition();

#### Return Value

IEdmPos5; position of the first workflow state in the enumeration

# Example

See the IEdmWorkflow6 examples.

# Remarks

After calling this method, pass the returned position of the first workflow state to IEdmWorkflow6::GetNextState to get the first workflow state in this list. Then call IEdmWorkflow6::GetNextState repeatedly to get the rest of the workflow states.

C++ users not using smart-pointer wrapper functions must release the returned interface, IEdmPos5.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmWorkflow6 Interface
IEdmWorkflow6 Members

# Availability

SOLIDWORKS PDM Professional Version 6.0